.type-selector {
    ul {
        list-style: none;
        margin: 0 0;
        padding: 0 0;
        max-width: 80%;
        li {
            display: inline-block;
            margin-right: 5px;
            margin-bottom: 5px;
            a:active,
            a:hover,
            a.picked {
                // a {
                    border-color: $blue-dark;
                    color: $blue-dark;
                    text-decoration: none;
                // }
            }
            a {
                display: block;
                border: 1px solid $input-border;
                font-size: 0.9rem;
                font-weight: 700;
                line-height: 1.6;
                    padding: 5px 15px;
                img {
                    padding: 4px;
                }
            }
        }
    }

    
    // Background cubierta y piernas
    select[name="Cubierta Electrico Duelas"] + .select2OptionPicker ul li,
    select[name="Cubierta Electrico Roble"] + .select2OptionPicker ul li,
    select[name="Cubierta Electrico MDF"] + .select2OptionPicker ul li,
    select[name="Cubierta Electrico Terciado"] + .select2OptionPicker ul li,
    select[name="Cubierta Manual Duelas"] + .select2OptionPicker ul li,
    select[name="Cubierta Manual Roble"] + .select2OptionPicker ul li,
    select[name="Cubierta Manual MDF"] + .select2OptionPicker ul li,
    select[name="Cubierta Manual Terciado"] + .select2OptionPicker ul li {
        a {
            background-image: url("https://assets.jumpseller.com/store/ergofactory/themes/85136/cubiertas.png");
        }
    }

    select[name="Color de piernas"] + .select2OptionPicker ul li {
        a {
            background-image: url("https://assets.jumpseller.com/store/ergofactory/themes/85136/piernas.png");
        }
    }

    // General select
    select[name="Cubierta Electrico Duelas"] + .select2OptionPicker ul li,
    select[name="Cubierta Electrico Roble"] + .select2OptionPicker ul li,
    select[name="Cubierta Electrico MDF"] + .select2OptionPicker ul li,
    select[name="Cubierta Electrico Terciado"] + .select2OptionPicker ul li,
    select[name="Cubierta Manual Duelas"] + .select2OptionPicker ul li,
    select[name="Cubierta Manual Roble"] + .select2OptionPicker ul li,
    select[name="Cubierta Manual MDF"] + .select2OptionPicker ul li,
    select[name="Cubierta Manual Terciado"] + .select2OptionPicker ul li, 
    select[name="Color de piernas"] + .select2OptionPicker ul li {
        a  {
            width: 30px;
            height: 30px;
            text-indent: -9999px;
            position: relative; 
            background-repeat: no-repeat;
            &:after { 
                content: "";
                position: absolute;
                width: 100%;
                height: 100%;
                top: 0px;
                left: 0px;
                border: 4px solid #fff;
            }
        }
    }

    select[name="Cubierta Electrico Duelas"] + .select2OptionPicker ul li {
        &:nth-child(1) a {
            background-position: 0 -30px; 
        }
        &:nth-child(2) a {
            background-position: 0 -60px; 
        }
    }

    select[name="Cubierta Electrico Roble"] + .select2OptionPicker ul li {
        &:nth-child(1) a {
            background-position: 0 -60px; 
        }
        &:nth-child(2) a {
            background-position: 0 -90px; 
        }
    }

    select[name="Cubierta Electrico MDF"] + .select2OptionPicker ul li {
        &:nth-child(1) a {
            background-position: 0 -120px; 
        }
        &:nth-child(2) a {
            background-position: 0 -150px; 
        }
    }

    select[name="Cubierta Electrico Terciado"] + .select2OptionPicker ul li {
        &:nth-child(1) a {
            background-position: 0 0px; 
        }
        &:nth-child(2) a {
            background-position: 0 -60px; 
        }
    }

    select[name="Cubierta Manual Duelas"] + .select2OptionPicker ul li {
        &:nth-child(1) a {
            background-position: 0 -30px; 
        }
        &:nth-child(2) a {
            background-position: 0 -60px; 
        }
    }

    select[name="Cubierta Manual Roble"] + .select2OptionPicker ul li {
        &:nth-child(1) a {
            background-position: 0 -60px; 
        }
        &:nth-child(2) a {
            background-position: 0 -90px; 
        }
    }

    select[name="Cubierta Manual MDF"] + .select2OptionPicker ul li {
        &:nth-child(1) a {
            background-position: 0 -120px; 
        }
        &:nth-child(2) a {
            background-position: 0 -150px; 
        }
    }

    select[name="Cubierta Manual Terciado"] + .select2OptionPicker ul li {
        &:nth-child(1) a {
            background-position: 0 0px; 
        }
        &:nth-child(2) a {
            background-position: 0 -60px; 
        }
    } 

    select[name="Color de piernas"] + .select2OptionPicker ul li {
        &:nth-child(1) a {
            background-position: 0 0px; 
        }
        &:nth-child(2) a {
            background-position: 0 -30px; 
        }
        &:nth-child(3) a {
            background-position: 0 -60px; 
        } 
    }



    &_cubierta,
    &_estructura {
        a {
            width: 35px;
            height: 35px;
        }
    }
    &_tamano {
        a {
            padding: 5px 15px;
            font-size: 1.1rem;
        }
    }
}
